package com.kingdee.eas.custom.integration.feishu;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class FeishuApprovalInstanceCollection extends AbstractObjectCollection 
{
    public FeishuApprovalInstanceCollection()
    {
        super(FeishuApprovalInstanceInfo.class);
    }
    public boolean add(FeishuApprovalInstanceInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(FeishuApprovalInstanceCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(FeishuApprovalInstanceInfo item)
    {
        return removeObject(item);
    }
    public FeishuApprovalInstanceInfo get(int index)
    {
        return(FeishuApprovalInstanceInfo)getObject(index);
    }
    public FeishuApprovalInstanceInfo get(Object key)
    {
        return(FeishuApprovalInstanceInfo)getObject(key);
    }
    public void set(int index, FeishuApprovalInstanceInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(FeishuApprovalInstanceInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(FeishuApprovalInstanceInfo item)
    {
        return super.indexOf(item);
    }
}